weekly release 2.4dev
[moodle.git] / enrol / upgrade.txt
CommitLineData
e922fe23
PS
1This files describes API changes in /enrol/* - plugins,
2information provided here is intended especially for developers.
3
ee362526 4
a2dd56d2
PS
5=== 2.4 ===
6
7required changes in code:
8* use role_get_name() or role_fix_names() if you need any role names, using role.name
9 directly from database is not correct any more
10
005e57a2
PS
11other changes:
12* course enrolment manager now works with disabled plugins too
13
a2dd56d2 14
e922fe23
PS
15=== 2.2 ===
16
17required changes in code:
18* load_temp_role() is deprecated, use load_temp_course_role() instead, temp role not loaded
19* remove_temp_role() is deprecated, use remove_temp_course_roles() instead
358fb4dc 20* 'user_unenrol_modified' event was renamed to 'user_enrol_modified'
ee362526
PS
21
22
23=== 2.0 ===
24
25required changes in code:
26* enrolment plugins need to be rewritten to use new API - see inline phpdocs and official plugins